Symbol lmotf = 1 ' left motor forward
Symbol lmotb = 4 ' left motor backward
Symbol rmotf = 5 ' right motor forward
Symbol rmotb = 6 ' right motor backward
Symbol lbot = pin6 ' left bottom sensor
Symbol mbot = pin7 ' middle bottom sensor
Symbol rbot = pin1 ' right bottom sensor
Symbol botled = 7 ' bottom leds
Symbol pwmpin = 3 ' pwm output
Symbol pwmleft = 2 ' left pwm 36kHz
Symbol sfh = pin0 ' sfh5110 input
Symbol butt = pin2 ' button
Symbol mode = b13 ' motion mode
Symbol MDSTRAIGHT = 0 ' go stright
Symbol MDLEFT = 1 ' turn left
Symbol MDRIGHT = 2 ' turn right

INIT:
pins=0
pause 10
if butt=0 then INIT
IN1:
pause 10
if butt=1 then IN1

WAIT1SEC:
pause 1000
mode=MDSTRAIGHT
gosub STARTMODE

MAIN:

BTTEST:	'button test
if butt=1 then BTTEND
low lmotf
low lmotb
low rmotf
low rmotb
goto INIT
BTTEND:

BOTALL:	'bottom all - stop
high botled
if lbot=1 and mbot=1 and rbot=1 then INIT

BOTNONE:	'bottom none - stright
if lbot=1 or mbot=1 or rbot=1 then BNEND
'mode=MDSTRAIGHT
'


gosub STARTMODE
BNEND:

BOTMID:	'bottom middle - stright
if lbot=1 or mbot=0 or rbot=1 then BMEND
mode=MDSTRAIGHT
gosub STARTMODE
BMEND:

BOTLEFT:	'bottom left test
if lbot=0 then BLEND
mode=MDLEFT
gosub STARTMODE
BLEND:

BOTRIGHT:	'bottom fight test
if rbot=0 then BREND
mode=MDRIGHT
gosub STARTMODE
BREND:
low botled

TIMER:
pause 10

goto MAIN
end

STARTMODE:
STMS:
if mode<>MDSTRAIGHT then STML
high lmotf
high rmotf
low lmotb
low rmotb
return
STML:
if mode<>MDLEFT then STMR
low lmotf
high rmotf
low lmotb
low rmotb
return
STMR:
if mode<>MDRIGHT then STMLAST
high lmotf
low rmotf
low lmotb
low rmotb
return
STMLAST:


