Symbol lmotf = 1 ' left motor forward
Symbol lmotb = 4 ' left motor backward
Symbol rmotf = 5 ' right motor forward
Symbol rmotb = 6 ' right motor backward
Symbol lbot = pin6 ' left bottom sensor
Symbol rbot = pin1 ' right bottom sensor
Symbol botled = 7 ' bottom leds
Symbol pwmpin = 3 ' pwm output
Symbol pwmleft = 2 ' left pwm 36kHz
Symbol sfh = pin0 ' sfh5110 input
Symbol butt = pin2 ' button
Symbol time = b9 ' time counter
Symbol mode = b8 ' motion mode
Symbol frstat = b7 ' front sensor state
Symbol MDLEFT = 4 ' turn left
Symbol MDRIGHT = 5 ' turn right
Symbol MDSTRIGHT = 6 ' go stright
Symbol MDTURN1 = 7 ' turn mode 1 - backup
Symbol MDTURN2 = 8 ' turn mode 2 - random turn
Symbol MDLAST = 9 ' last mode

INIT:
pause 10
if butt=0 then INIT
IN1:
pause 10
if butt=1 then IN1
pause 5000
gosub STARTMODE

MAIN:

BTTEST:	'button test
if butt=1 then BTTEND
low lmotf
low lmotb
low rmotf
low rmotb
goto INIT
BTTEND:

BOTTEST:	'bottom left & right test
high botled
if lbot=1 and rbot=1 then BLTEND
mode=MDTURN1
gosub STARTMODE
BLTEND:

FLTEST:	'front left test
high pwmleft
frstat=0
pwmout pwmpin,27,20
pause 1
if sfh=1 then FLEND
frstat=frstat|1
FLEND:

FRTEST:	'front right test
low pwmleft
pwmout pwmpin,27,92
pause 1
if sfh=1 then FREND
frstat=frstat|2
FREND:
pwmout pwmpin,255,0

FACTION:	'front action
if frstat=0 then FAEND
time=time+1
FA1:
if frstat<>1 then FA2
mode=MDLEFT
gosub STARTMODE
goto FAEND
FA2:
if frstat<>2 then FA3
mode=MDRIGHT
gosub STARTMODE
goto FAEND
FA3:
mode=MDSTRIGHT
gosub STARTMODE
FAEND:

TIMER:
pause 8
time=time-1
if time>0 then TMREND
mode=mode+1
if mode<>3 and mode<>MDLAST then TMR0
mode=0
TMR0:
gosub STARTMODE
TMREND:

goto	main
end

STARTMODE:
if mode<>0 then STM1
time=70
high lmotf
high rmotf
low lmotb
low rmotb
return
STM1:
if mode<>1 then STM2
time=90
high lmotf
low rmotf
low lmotb
high rmotb
return
STM2:
if mode<>2 then STM3
time=80
high lmotf
high rmotf
low lmotb
low rmotb
return
STM3:
if mode<>3 then STM4
time=30
low lmotf
high rmotf
low lmotb
low rmotb
return
STM4:
STML:
if mode<>MDLEFT then STMR
time=200
low lmotf
high rmotf
low lmotb
low rmotb
return
STMR:
if mode<>MDRIGHT then STMS
time=200
high lmotf
low rmotf
low lmotb
low rmotb
return
STMS:
if mode<>MDSTRIGHT then STMT1
time=200
high lmotf
high rmotf
low lmotb
low rmotb
return
STMT1:
if mode<>MDTURN1 then STMT2
time=20
low lmotf
low rmotf
high lmotb
high rmotb
return
STMT2:
if mode<>MDTURN2 then STMEND
time=40
random w0
if b0>128 then STMT20
high lmotf
low rmotf
low lmotb
high rmotb
return
STMT20:
low lmotf
high rmotf
high lmotb
low rmotb
STMEND:
return

