

; ------------------------------------------
; Definitionen
; ------------------------------------------

; Definition der Ein- und Ausgnge (sog. Ports)
symbol motor = 2		; Motor ist an Pin2 angeschlossen



; ------------------------------------------
; Start des Hauptprogramms
; ------------------------------------------

main:
	let pins = %00010100		; Festlegen der Richtung der Ports (0=Eingang; 1=Ausgang)

knot:					; label loop
	gosub motoranalog		; gehe zur Routine servocontrol

	goto knot			; springe zum label loop



; ------------------------------------------
; Routinen
; ------------------------------------------

; Steuern der Motorgeschwindigkeit mit pulsweitenmodulation
motoranalog:
	pwm motor,65,200			; motor=Ausgangspin, 65=Dutycycle (max.255= 4,5V), 200=Dauer(200*5ms=1s)
	pause 1000				; 1s warten
	pwm motor,255,200
	pause 1000

	return				; zurck zum Programmablauf


