' Minisumo example

Symbol lmotf = 1 ' left motor forward
Symbol lmotb = 4 ' left motor backward
Symbol rmotf = 5 ' right motor forward
Symbol rmotb = 6 ' right motor backward
Symbol lbot = pin1 ' left bottom sensor
Symbol rbot = pin2 ' right bottom sensor
Symbol botled = 7 ' bottom leds
Symbol pwmpin = 3 ' pwm output
Symbol pwmright = 2 ' right LED pwm 36kHz
Symbol sfh = pin7 ' sfh5110 input
Symbol butt = pin6 ' button
Symbol time = b9 ' time counter
Symbol mode = b8 ' motion mode
Symbol frstat = b7 ' front sensor state
Symbol frlast = b6 ' front sensor previous state
Symbol MDSTRIGHT = 0 ' go stright
Symbol MDLEFT = 1 ' turn left
Symbol MDRIGHT = 2 ' turn right
Symbol MDRTURN = 3 ' random turn, infinite
Symbol MDTURN1 = 4 ' turn mode 1 - backup
Symbol MDTURN2 = 5 ' turn mode 2 - random turn
Symbol MDLAST = 6 ' last mode

INIT:
pause 10
if butt=0 then INIT
IN1:
pause 10
if butt=1 then IN1

WAIT5SEC:
pause 5000
mode=MDRTURN
gosub STARTMODE

MAIN:

BTTEST:	'button test
if butt=1 then BTTEND
low lmotf
low lmotb
low rmotf
low rmotb
goto INIT
BTTEND:

BOTTEST:	'bottom left & right test
high botled
if lbot=1 and rbot=1 then BLTEND
mode=MDTURN1
gosub STARTMODE
BLTEND:

FLTEST:	'front left test
frlast=frstat
frstat=0
pwmout pwmpin,27,98
pause 1
if sfh=1 then FLEND
frstat=frstat|1
FLEND:
pwmout pwmpin,255,0
pause 4

FRTEST:	'front right test
high pwmright
pwmout pwmpin,27,14
pause 1
if sfh=1 then FREND
frstat=frstat|2
FREND:
low pwmright
pwmout pwmpin,255,0

FACTION:	'front action
if mode>=MDTURN1 then FAEND
if frstat<>0 or frlast=0 then FA1
mode=MDSTRIGHT
gosub STARTMODE
goto FAEND
FA1:
if frstat<>1 then FA2
mode=MDLEFT
gosub STARTMODE
goto FAEND
FA2:
if frstat<>2 then FA3
mode=MDRIGHT
gosub STARTMODE
goto FAEND
FA3:
if frstat<>3 then FAEND
mode=MDSTRIGHT
gosub STARTMODE
FAEND:

TIMER:
pause 4
if mode<MDTURN1 then TMREND
time=time-1
if time>0 then TMREND
mode=mode+1
if mode<>MDLAST then TMR0
mode=MDRTURN
TMR0:
gosub STARTMODE
TMREND:

goto MAIN
end

STARTMODE:
STMS:
if mode<>MDSTRIGHT then STML
high lmotf
high rmotf
low lmotb
low rmotb
return
STML:
if mode<>MDLEFT then STMR
low lmotf
high rmotf
low lmotb
low rmotb
return
STMR:
if mode<>MDRIGHT then STMRT
high lmotf
low rmotf
low lmotb
low rmotb
return
STMRT:
if mode=MDRTURN then STMT20
STMT1:
if mode<>MDTURN1 then STMT2
time=20
low lmotf
low rmotf
high lmotb
high rmotb
return
STMT2:
if mode<>MDTURN2 then STMEND
time=20
STMT20:
random w0
if b0>128 then STMT21
high lmotf
low rmotf
low lmotb
high rmotb
return
STMT21:
low lmotf
high rmotf
high lmotb
low rmotb
STMEND:
return

