; DEFINICE KONSTANT:
symbol TRIM = 10
symbol LEFT = 90 - TRIM
symbol CENTER = 150 - TRIM
symbol RIGHT = 210 - TRIM
symbol SERVO_DELAY = 200

symbol HAND_OPEN = 160
symbol HAND_HOLD = 100



; PRIPRAVA VYSTUPNICH PORTU:
	low 0
	high 1
	high 2
	high 3
	high 4
	high 5
	high 6
	high 7



b0 = CENTER
b1 = HAND_OPEN


; HLAVNI SMYCKA PROGRAMU: 

mainCycle:

	'ROZSAH <75-225>

	if pin2 = 1 then
		;b0 = CENTER
		servo 3,CENTER
		pause SERVO_DELAY
	else
		;b0 = LEFT
		servo 3,LEFT
		pause SERVO_DELAY
		servo 3,CENTER
		pause SERVO_DELAY
		servo 3,RIGHT
		pause SERVO_DELAY
		servo 3,CENTER
		pause SERVO_DELAY
	endif

	if pin6 = 1 then
		motorLeft_stop
	else
		motorLeft_ahead
	endif

	goto mainCycle



; +--------------------------------------------------------+
; | OVLADANI LEVEHO MOTORU                                 |
; +--------------------------------------------------------+

; LEVY MOTOR STOP:
motorLeft_ahead:
	low 4
	low 5
	return

; LEVY MOTOR VPRED:
motorLeft_ahead:
	hight 4
	low 5
	return

; LEVY MOTOR VZAD:
motorLeft_back:
	low 4
	hight 5
	return

; +--------------------------------------------------------+
; | OVLADANI PRAVEHO MOTORU                                |
; +--------------------------------------------------------+

; PRAVY MOTOR STOP:
motorLeft_ahead:
	low 4
	low 5
	return

; PRAVY MOTOR VPRED:
motorLeft_ahead:
	hight 4
	low 5
	return

; PRAVY MOTOR VZAD:
motorLeft_back:
	low 4
	hight 5
	return


myServo:
	if pin6 = 1 then
		;b1 = HAND_OPEN
		gosub handOpen
	else
		;b1 = HAND_HOLD
		gosub handHold
	endif
	return


handOpen:
	high 2
	pause 3
	low 2
	pause 17
	return


handHold:
	high 2
	pause 2
	low 2
	pause 18
	return


	if pin2 = 0 then
		servo 3,75
		pause 15
	else
		servo 3,225
		pause 15
	endif

	if pin6 = 0 then
		servo 3,150
		pause 15
	endif

	goto mainCycle



	if pin1 = 0 then
		low 4
		pause 100
		high 4
		pause 100
	else
		high 4
	endif

	if pin0 = 0 then
		low 5
		pause 100
		high 5
		pause 100
	else
		high 5
	endif
	
	if pin7 = 0 then
		low 6
		pause 100
		high 6
		pause 100
	else
		high 6

	endif
	


	goto mainCycle




