

; ------------------------------------------
; Definitionen
; ------------------------------------------

; Definition der Ein- und Ausgnge (sog. Ports)
symbol ledgruen = 1	; d.h. die gruene LED ist an Pin1 angeschlossen		
symbol ledrot = 2

; Variablen
symbol counter = b1	; das Register b1 wird jetzt auch counter genannt



; ------------------------------------------
; Start des Hauptprogramms
; ------------------------------------------

main:
	let pins = %00000110		; Festlegen der Richtung der Ports (0=Eingang; 1=Ausgang)

knot:					; Label loop
	gosub blinken		; gehe zur Routine blinken

	goto knot			; springe zum label loop



; ------------------------------------------
; Routinen
; ------------------------------------------

; Mit den LEDs blinken
blinken:
	for counter = 1 to 5		; von 1 bis 5 zaehlen
		high ledrot			; rote LED anschalten
		low ledgruen		; gruene LED ausschalten
						; gleiche Wirkung wie beide Befehle auch mit: let pins = %00000100	
		pause 400
		high ledgruen		; gruene LED anschalten
		low ledrot			; rote LED ausschalten
						; gleiche Wirkung wie beide Befehle auch mit: let pins = %00000010				
		pause 400
	next counter
	low ledgruen			; gruene LED ausschalten
						; oder auch: let pins = %00000000
	return				; zurck zum Programmablauf






