

; ------------------------------------------
; Definitionen
; ------------------------------------------

; Definition der Ein- und Ausgnge (sog. Ports)
symbol motor = 2		; Motor ist an Pin2 angeschlossen

; Variablen
symbol counter = b1	; das Register b1 wird jetzt auch counter genannt



; ------------------------------------------
; Start des Hauptprogramms
; ------------------------------------------

main:
	let pins = %00010100		; Festlegen der Richtung der Ports (0=Eingang; 1=Ausgang)

knot:					; label loop
	gosub motordigital	; gehe zur Routine servocontrol

	goto knot			; springe zum label loop



; ------------------------------------------
; Routinen
; ------------------------------------------

; Einfaches Starten und Stoppen des Motors
motordigital:
	for counter = 1 to 3		; von 1 bis 3 zaehlen
		high motor			; Motor starten
		pause 500			; fr 0,5 s = 500 ms warten
		low motor			; Motor stoppen
		pause 800
	next counter			; die Variable counter um eins erhoehen
	return				; zurck zum Programmablauf


