

; ------------------------------------------
; Definitionen
; ------------------------------------------

; Variablen
symbol counter = b1	; das Register b1 wird jetzt auch counter genannt



; ------------------------------------------
; Start des Hauptprogramms
; ------------------------------------------

main:
	let pins = %00000110		; Festlegen der Richtung der Ports (0=Eingang; 1=Ausgang)

knot:					; Label loop
	gosub serialout

	goto knot			; springe zum label loop



; ------------------------------------------
; Routinen
; ------------------------------------------

; Ausgabe eines Musters auf die serielle Schnittstelle
serialout:
	sertxd("PicAxe-08M:")		; Ausgabe von "PicAxe-08M:"
	for counter = 96 to 103		; von 96 bis 103 zaehlen
		sertxd(#counter," ")	; Ausgabe des Zahlwertes der Variable counter und eines Leerzeichens
		pause 350			; 350 ms warten	
	next counter			; die Variable counter um eins erhoehen
	sertxd(13,10)			; Ausgabe der ASCII-Zeichen 13=CR=Return und 10=LF=Line Feed
	return				; zurck zum Programmablauf


