

; ------------------------------------------
; Definitionen
; ------------------------------------------

; Definition der Ein- und Ausgnge (sog. Ports)
symbol rcservo = 4	; Servo an Pin 4

; Variablen
symbol counter = b1	; das Register b1 wird jetzt auch counter genannt



; ------------------------------------------
; Start des Hauptprogramms
; ------------------------------------------

main:
	let pins = %00010100		; Festlegen der Richtung der Ports (0=Eingang; 1=Ausgang)

knot:					; label loop
	gosub servocontrol	; gehe zur Routine servocontrol

	goto knot			; springe zum label loop



; ------------------------------------------
; Routinen
; ------------------------------------------

; Anfahren der Positionen des Servos
servocontrol:
	servo rcservo,215			; setzen der position des servos (215 = max. rechts)
	pause 1000 				; 1000 ms = 1 s warten
	servo rcservo,140			; servo auf mittelposition
	pause 1000 
	servo rcservo,65 			; servo nach links (65 = max- links)
	pause 1000 

	for counter = 65 to 215		; von 65 bis 215 zaehlen	
		servo rcservo,counter	; servoposition auf counter setzen
		pause 18			; kurz (18 ms) warten
	next counter			; die Variable counter um eins erhoehen

	return				; zurck zum Programmablauf


