

; ------------------------------------------
; Definitionen
; ------------------------------------------

; Definition der Ein- und Ausgnge (sog. Ports)
symbol ledgruen = 1	; d.h. die gruene LED ist an Pin1 angeschlossen		
symbol ledrot = 2
symbol taster = 3



; ------------------------------------------
; Start des Hauptprogramms
; ------------------------------------------

main:
	let pins = %00000110		; Festlegen der Richtung der Ports (0=Eingang; 1=Ausgang)

knot:					; Label loop
	gosub schalten

	goto knot			; springe zum label loop



; ------------------------------------------
; Routinen
; ------------------------------------------

; Mit dem Taster die LEDs anschalten
schalten:
	if pin3=1 then licht	; wenn der Taster gedrueckt ist springe zum Label licht
		
	pause 200			; 200 ms warten
	goto endefor		; springe zum Label endefor
	
licht:				; Label licht
	high ledrot			; rote LED anschalten
	high ledgruen		; gruene LED anschalten
					; gleiche Wirkung wie beide Befehle auch mit: let pins = %00000110
	pause 1000			; 1 s=1000 ms warten
endefor:				; Label endefor
	low ledrot			; rote LED ausschalten
	low ledgruen		; gruene LED ausschalten
					; gleiche Wirkung wie beide Befehle auch mit: let pins = %00000000
	return			; zurck zum Programmablauf



